package com.uas.platform.b2b.erp.model;

import java.util.Date;

import com.uas.platform.b2b.model.MakeOrderReply;

/**
 * 委外加工单回复记录
 * 
 * @author suntg
 * 
 */
public class MakeReply {

	private Integer mr_id;
	private Double mr_qty;
	private Date mr_delivery;
	private String mr_remark;
	private String mr_macode;
	private Date mr_date;
	private String mr_recorder;
	private Long b2b_mr_id;// 平台里面的ID，作为唯一标志，防止重复写入回复记录
	private String mr_type;
	
	public Integer getMr_id() {
		return mr_id;
	}
	public void setMr_id(Integer mr_id) {
		this.mr_id = mr_id;
	}
	public Double getMr_qty() {
		return mr_qty;
	}
	public void setMr_qty(Double mr_qty) {
		this.mr_qty = mr_qty;
	}
	public Date getMr_delivery() {
		return mr_delivery;
	}
	public void setMr_delivery(Date mr_delivery) {
		this.mr_delivery = mr_delivery;
	}
	public String getMr_remark() {
		return mr_remark;
	}
	public void setMr_remark(String mr_remark) {
		this.mr_remark = mr_remark;
	}
	public String getMr_macode() {
		return mr_macode;
	}
	public void setMr_macode(String mr_macode) {
		this.mr_macode = mr_macode;
	}
	public Date getMr_date() {
		return mr_date;
	}
	public void setMr_date(Date mr_date) {
		this.mr_date = mr_date;
	}
	public String getMr_recorder() {
		return mr_recorder;
	}
	public void setMr_recorder(String mr_recorder) {
		this.mr_recorder = mr_recorder;
	}
	public Long getB2b_mr_id() {
		return b2b_mr_id;
	}
	public void setB2b_mr_id(Long b2b_mr_id) {
		this.b2b_mr_id = b2b_mr_id;
	}
	public String getMr_type() {
		return mr_type;
	}
	public void setMr_type(String mr_type) {
		this.mr_type = mr_type;
	}
	
	/**
	 * 平台上的委外加工单回复转为ERP的委外加工单回复
	 * @param makeOrderReply
	 */
	public MakeReply(MakeOrderReply makeOrderReply) {
		this.b2b_mr_id = makeOrderReply.getId();
		this.mr_date = makeOrderReply.getDate();
		this.mr_delivery = makeOrderReply.getDelivery();
		this.mr_macode = makeOrderReply.getOrder().getCode();
		this.mr_qty = makeOrderReply.getQty();
		this.mr_remark = makeOrderReply.getRemark();
		this.mr_recorder = makeOrderReply.getRecorder();
		this.mr_type = makeOrderReply.getType();
	}


}
